<?php

declare(strict_types=1);

namespace Drupal\symfony_mailer\Plugin\Mailer;

use Drupal\symfony_mailer\Processor\MailerPluginInterface;

/**
 * Defines the mailer interface for verification emails.
 */
interface VerifyMailerInterface extends MailerPluginInterface {

  /**
   * Sends a verification email.
   *
   * @param mixed $to
   *   The to addresses, see Address::convert().
   *
   * @return bool
   *   Whether successful.
   */
  public function verify($to): bool;

}
