<?php

declare(strict_types=1);

namespace Drupal\symfony_mailer\Processor;

use Drupal\Component\Plugin\PluginManagerInterface;

/**
 * Provides the interface for the mailer plugin manager.
 */
interface MailerManagerInterface extends PluginManagerInterface {

  /**
   * Gets a definition or sub-definition for the specified tag.
   *
   * @param string $tag
   *   The tag.
   *
   * @return array
   *   The definition.
   */
  public function getTagDefinition(string $tag): array;

  /**
   * Returns the parent tag.
   *
   * @param string $tag
   *   The initial tag.
   *
   * @return string
   *   The parent tag.
   */
  public function parentTag(string $tag): string;

}
