<?php

declare(strict_types=1);

namespace Drupal\symfony_mailer;

use Drupal\Core\DependencyInjection\ContainerBuilder;
use Drupal\Core\DependencyInjection\ServiceProviderBase;
use Drupal\symfony_mailer\Processor\MailerManagerInterface;
use Drupal\symfony_mailer\Processor\MailerPluginInterface;
use Symfony\Component\DependencyInjection\Reference;

/**
 * Register auto-configuration of Mailer plugins.
 */
class SymfonyMailerServiceProvider extends ServiceProviderBase {

  /**
   * {@inheritdoc}
   */
  public function register(ContainerBuilder $container) {
    $container->registerForAutoconfiguration(MailerPluginInterface::class)
      ->setFactory([new Reference(MailerManagerInterface::class), 'createInstance']);
  }

}
